#!/bin/ksh

export HOSTN=`hostname`
export SID="VIS";
export APPBASE="/d01/oracle/${SID}";
export CONTEXT="${SID}_${HOSTN}";
export ENVF="$APPBASE/apps/apps_st/appl/${CONTEXT}.env"

. $ENVF 


HERE=`pwd`
OUTF=$HERE/logs/$0.out
RFILE="adstrtal"
line=`basename $0`;

CMD="${RFILE}.sh apps/apps"
SAVOUT="${LOG_HOME?}/appl/admin/log/${RFILE}.log"

function prt_procs
{
  CNT=`ps -aef | fgrep oracle | wc -l`
  echo "\nPRINTING PROCESSES  ..."           >> $OUTF
  ps -aef | fgrep oracle                      >> $OUTF
  echo "\n"                                  >> $OUTF
  echo "Current process count: $CNT"         >> $OUTF
  echo "\n"                                  >> $OUTF
}

#######################################
# Main
#######################################

now=`date`
echo "Entering $0 : $now ..."

echo rm -f $OUTF
     rm -f $OUTF

echo rm -f $HERE/logs/${line}*
     rm -f $HERE/logs/${line}*


# print out the processes
#
prt_procs;


# clear the log if it already exists
#
echo rm -r $SAVOUT
     rm -r $SAVOUT

echo "\n"                                    >> $OUTF
echo "###########  STARTING $CMD ##########" >> $OUTF 2>&1
echo "\n"                                    >> $OUTF
echo cd ${ADMIN_SCRIPTS_HOME}
     cd ${ADMIN_SCRIPTS_HOME}

################
# run the comand
#
#---------------------------
echo COMMAND: $CMD 
              $CMD                           >> $OUTF 2>&1
#---------------------------

# sleeping waiting for procs to exit...
#
SLEEPCNT=120
echo "Sleeping $SLEEPCNT ..."
sleep $SLEEPCNT

# ok done lets save procs and output files...
#
echo "\n"                                    >> $OUTF
echo "########### COMPLETED $CMD ##########" >> $OUTF 2>&1
echo "\n"                                    >> $OUTF


# print out the processes
#
prt_procs;

# this is the file that we're suppose to save and look for errors.
#
line=`basename $0`; SAVETO="${HERE?}/logs/${line}_${RFILE}.log"
echo cp $SAVOUT $SAVETO
     cp $SAVOUT $SAVETO


# perl check for errors
#
TMPERL="/tmp/p1.$$"
cat <<EOF > $TMPERL
# check for errors
\$cnt=0;
while ( <> ) {
  if  ( /exiting with status (\d+)/ ) {
    \$cnt=\$cnt+1;
    \$val=\$1;
    if (\$val != 0 ) {
      print("ERROR FOUND: \$_");
    }
  \$toterr+=\$val;
  }
}
\$SET=9;
if ( (\$cnt % \$SET) != 0 ) {
  print("MISSING STATUS LINES: Only FOUND: \$cnt\n");
  print("Count should be a mulitple of \$SET...\n");
  \$toterr++;
}
if (\$toterr != 0 ) {
  print("ERRORS FOUND: Count is: \$toterr\n");
} else {
  print("OUTPUT FILE APPEARS CLEAN\n");
}
EOF
echo perl $TMPERL $SAVETO
     perl $TMPERL $SAVETO


now=`date`
echo "Exiting  $0 : $now ..."
