#!/bin/ksh

HERE=`pwd`

export HOSTN=`hostname`
export SID="VIS";
export sid="vis";
export APPBASE="/d01/oracle/${SID}";
export CONTEXT="${SID}_${HOSTN}";
export ENVF="$APPBASE/apps/apps_st/appl/${CONTEXT}.env"

. $ENVF 
. $HERE/bin/funs


line=`basename $0`;
RFILE="adoafmctl"

OUTF=$HERE/logs/$0.out
SAVOUT="${LOG_HOME?}/appl/admin/log/${RFILE}.txt"

function prt_procs
{
  CNT=`ps -aef | fgrep oracle | wc -l`
  echo "\nPRINTING PROCESSES  ..."           >> $OUTF
  ps -aef | fgrep oracle                     >> $OUTF
  echo "\n"                                  >> $OUTF
  echo "Current process count: $CNT"         >> $OUTF
  echo "\n"                                  >> $OUTF
}

function do_cmd
{
  tmpcmdopt=$1;

  # run the comand
  #
  CMD="${RFILE}.sh $tmpcmdopt apps/apps"
  echo "\n"                                    >> $OUTF
  echo "###########  STARTING $CMD ##########" >> $OUTF 2>&1
  echo "\n"                                    >> $OUTF
  echo cd ${ADMIN_SCRIPTS_HOME}
       cd ${ADMIN_SCRIPTS_HOME}
  
  #---------------------------
  echo COMMAND: $CMD 
                $CMD                           >> $OUTF 2>&1
  #---------------------------
  
  # sleeping waiting for procs to exit...
  #
  SLEEPCNT=60
  echo "Sleeping $SLEEPCNT ..."
  sleep $SLEEPCNT
  
  # ok done lets save procs and output files...
  #
  echo "\n"                                    >> $OUTF
  echo "########### COMPLETED $CMD ##########" >> $OUTF 2>&1
  echo "\n"                                    >> $OUTF
  
  # print out the processes
  #
  prt_procs;
}

#######################################
# Main
#######################################

now=`date`
echo "Entering $0 : $now ..."

rm -f $OUTF
# print out the processes
#
prt_procs;

# clear the log if it already exists
#
echo myrm_file $SAVOUT
     myrm_file $SAVOUT

do_cmd "start"
do_cmd "status"
do_cmd "stop"
do_cmd "status"

# this is the file that we're suppose to save and look for errors.
#
for i in $SAVOUT
do
  bname=`basename $i`
  echo cp $i $HERE/logs/${line}_$bname
       cp $i $HERE/logs/${line}_$bname
done

# run the perl script. shared by everyone
echo perl $HERE/bin/line15.pl $HERE/logs/${line}_$bname
     perl $HERE/bin/line15.pl $HERE/logs/${line}_$bname

now=`date`
echo "Exiting  $0 : $now ..."
