#!/usr/bin/ksh
#
#----------------------------------------------------#
# NOTE: This script requires the APPS environment.   #
#----------------------------------------------------#
export AD_TOP=${AD_TOP?"This script must be run within the APPS environment"}

HERE=`pwd`

export BIND=$HERE/bin
export LOGD=$HERE/logs
export TMPF=/tmp/out.$$

fn=`basename $0 .sh`
export perlf="$fn.pl"

cd /d01/oracle/VIS/apps/apps_st/appl/admin/VIS/log;pwd

sqlplus APPS/apps <<-EOF > /tmp/tmp.$$ 2>&1
select fnd_profile.value('APPS_MAINTENANCE_MODE') from dual;
quit;
EOF
res=`perl -ne 'print if ( /^MAINT$/ ) ' /tmp/tmp.$$`
if [ "X$res" == "XNORMAL" ] ; then
   echo "CLEAN: Maintenance Mode is DISABLED."
else
   echo "PROBLEM: Maintenance Mode is NOT disabled."
fi

echo cp /d01/oracle/VIS/apps/apps_st/appl/admin/VIS/log/adadmin.log $HERE/logs/${fn}_adadmin.log
     cp /d01/oracle/VIS/apps/apps_st/appl/admin/VIS/log/adadmin.log $HERE/logs/${fn}_adadmin.log

echo "perl $BIND/$perlf $HERE/logs/${fn}_adadmin.log"
      perl $BIND/$perlf $HERE/logs/${fn}_adadmin.log > $TMPF
fgrep CLEAN $TMPF > /dev/null 2>&1
if [ $? !=  0 ] ; then
  echo 
  echo 
  echo "######################## perl p1 $i has Issues ########################"
  cat $TMPF
else
  echo "######################## perl p1 $i is CLEAN ########################"
fi

rm -f $TMPF
