#!/usr/bin/ksh
#
#----------------------------------------------------#
# NOTE: This script requires the APPS environment.   #
#----------------------------------------------------#
export AD_TOP=${AD_TOP?"This script must be run within the APPS environment"}

# Check Config on apps tier to preview autoconfig changes	
# Location : $AD_TOP/bin/adchkcfg.sh contextfile=<CONTEXT_FILE>  
# Check for any errors reported in the log file 
# $INST_TOP/admin/log/<timestamp>/adconfig.log

HERE=`pwd`

export CONTEXT_FILE=${CONTEXT_FILE?}
export AD_TOP=${AD_TOP?}
export BIND=$HERE/bin
export LOGD=$HERE/logs
export TMPF=/tmp/out.$$

fn=`basename $0 .sh`
export perlf="$fn.pl"
export p1="search4files.pl"

for i in out log
do
  # Clear the log directory before we start
  export _LOGD=${INST_TOP?}/admin/$i
  if [ -d ${_LOGD} ] ; then
    echo "Deleting log files ..."
    find ${_LOGD} -depth -type d -name '[0-9]*' -exec rm -rf {} \;
    find ${_LOGD} -type f -name '*.txt'  -exec rm -rf {} \;
    find ${_LOGD} -type f -name '*.log'  -exec rm -rf {} \;
  fi
done

ERRF=$HERE/logs/${fn}_adchkcfg.out
echo "Executing: adchkcfg.sh contextfile=$CONTEXT_FILE ..."
$AD_TOP/bin/adchkcfg.sh contextfile=$CONTEXT_FILE <<-EOF > ${ERRF} 2>&1
apps
EOF

echo "perl $BIND/${p1} $ERRF"
perl $BIND/${p1} $ERRF | while read tmpf
do
  basen=`basename $tmpf`
  echo cp $tmpf "$HERE/logs/${fn}_${basen}"
       cp $tmpf "$HERE/logs/${fn}_${basen}"
done

cat $HERE/logs/line53_adchkcfg.out $HERE/logs/line53_adconfig.log | \
    perl $BIND/$perlf >> $TMPF
fgrep CLEAN $TMPF > /dev/null 2>&1
if [ $? !=  0 ] ; then
  echo 
  echo 
  echo "######################## perl p1 $i has Issues ########################"
  cat $TMPF
else
  echo "######################## perl p1 $i is CLEAN ########################"
fi

rm -f $TMPF

