#-------------------------------------------------------#
# NOTE: This must be done under the DBMS environment.   #
# NOT the APPS environment                              #
#-------------------------------------------------------#
export TNS_ADMIN=${TNS_ADMIN:?"This script must be run within the DBMS environment"}

##############
#LINE55:
# Location : $ORACLE_HOME/appsutil/bin/adchkcfg.sh contextfile=${CONTEXT_FILE?}
# Check for any errors reported in log file 
#	$DB_ORACLE_HOME/appsutil/log/<CONTEXT_NAME>/<timestamp>/adconfig.log
##############

HERE=`pwd`

export CONTEXT_FILE=${CONTEXT_FILE?}
export BIND=$HERE/bin
export LOGD=$HERE/logs
export TMPF=/tmp/out.$$

fn=`basename $0 .sh`
export perlf="$fn.pl"
export p1="line55a.pl"


ERRF=$HERE/logs/${fn}_adchkcfg.out
echo "Executing: adchkcfg.sh contextfile=$CONTEXT_FILE ..."
$ORACLE_HOME/appsutil/bin/adchkcfg.sh contextfile=${CONTEXT_FILE?} <<-EOF > ${ERRF} 2>&1
apps
EOF

chklist=""

# Save the pertinant files
echo "perl $BIND/${p1} $ERRF"
      perl $BIND/${p1} $ERRF | while read tmpf
do
  basen=`basename $tmpf`
  echo cp $tmpf "$HERE/logs/${fn}_${basen}"
       cp $tmpf "$HERE/logs/${fn}_${basen}"
  # we wont search the .zip file. 
  if [ "X$basen" != "XADXcfgcheck.zip" ] ; then
    chklist="$chklist $tmpf"
  fi
done

#echo "CHKLIST: $chklist"

echo "cat $chklist | perl $BIND/$perlf >> $TMPF"
      cat $chklist | perl $BIND/$perlf >> $TMPF
fgrep CLEAN $TMPF > /dev/null 2>&1
if [ $? !=  0 ] ; then
  echo 
  echo 
  echo "######################## perl p1 $i has Issues ########################"
  cat $TMPF
else
  echo "######################## perl p1 $i is CLEAN ########################"
fi

rm -f $TMPF

