# NOTE: This must be done under the DBMS environment. NOT the APPS environment
# 
export TNS_ADMIN=${TNS_ADMIN:?"This script must be run within the DBMS environment"}

###############################################################################
# LINE56:
# Use the script $DB_ORACLE_HOME/appsutil/scripts/<CONTEXT_NAME>/adautocfg.sh # 
# Check for any errors reported in the log file                               #
#     $DB_ORACLE_HOME/appsutil/log/<CONTEXT_NAME>/<timestamp>/adconfig.log    #
# Verify that the database and corresponding listener are up and running      #
###############################################################################

HERE=`pwd`

export CONTEXT_FILE=${CONTEXT_FILE?}
export BIND=$HERE/bin
export LOGD=$HERE/logs
export TMPF=/tmp/out.$$

fn=`basename $0 .sh`
export perlf="$fn.pl"


ERRF=$HERE/logs/${fn}_adchkcfg.out
echo "Executing: adchkcfg.sh contextfile=$CONTEXT_FILE ..."
$ORACLE_HOME/appsutil/scripts/${CONTEXT_NAME?}/adautocfg.sh <<-EOF > ${ERRF} 2>&1
apps
EOF

LOG2CHK=`fgrep "located at" $ERRF | awk '{print $10}'`
echo "cat $LOG2CHK | perl $BIND/$perlf >> $TMPF"
      cat $LOG2CHK | perl $BIND/$perlf >> $TMPF
fgrep CLEAN $TMPF > /dev/null 2>&1
if [ $? !=  0 ] ; then
  echo 
  echo 
  echo "######################## perl p1 $i has Issues ########################"
  cat $TMPF
else
  echo "######################## perl p1 $i is CLEAN ########################"
fi

rm -f $TMPF

