use Sys::Hostname;
use strict;
use warnings;

my $HOSTN = hostname(); chomp($HOSTN);


my $SID="VIS";
my $APPBASE="/d01/oracle/${SID}";
my $CONTEXT="${SID}_${HOSTN}";

my $INST_TOP="$APPBASE/inst/apps/$CONTEXT";
my @filelist;
my $dbg="false";

my @applist = (
   {
      name => "logs_ts",           type => "file",
      patt => "[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9].log",
      path => "$INST_TOP/logs", },
   {
      name => "makelog_1.2",       type => "file",
      patt => "make_[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9].log",      
      path => "$INST_TOP/logs/ora/10.1.2/install", },
   {
      name => "makelog_1.3",       type => "file",
      patt => "make_[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9].log",      
      path => "$INST_TOP/logs/ora/10.1.3/install", },
   {
      name => "adminlogdir",       type => "directory",
      patt => "*.log",             path => "$INST_TOP/admin/log", },
   {
      name => "ohclone.log",       type => "file",
      patt => "ohclone.log",       path => "$INST_TOP/admin/log", },
   {
      name => "j2eedir",           type => "directory",
      patt => "*.log",             path => "$INST_TOP/logs/ora/10.1.3/j2ee", },
   {
       name => "opmndir",           type => "directory",
       patt => "*.log",             path => "$INST_TOP/ora/10.1.3/opmn", },
  );

sub get_applist
{
  my $rec; my $fp; my $regex;
  my $out; my $cmd; my $nam;
  my $pat; my $pah; my $typ;
  my @tmp1;

  foreach $rec ( @applist ) {
    $typ=$rec->{type}; $pat=$rec->{patt};
    $pah=$rec->{path}; $nam=$rec->{name};
    $out="";
    $fp="";
    $regex="";
    $out="";
    $cmd="";
      
    if ( $rec->{type} eq "directory" ) {
       if ( ! -d $rec->{path} ) {
         print("This path is not a directory:\n");
         print("Name: $rec->{name} Type: $rec->{type}");
         print("Patt: $rec->{patt} Path: $rec->{path}\n");
         #exit -1;
       }
       $cmd="find $rec->{path} -type f -name '$rec->{patt}'";
       $out=`$cmd`;
    }
    if ( ${typ} eq "file" ) {
       $regex="$pah/$pat";
       #$fp=glob("${regex}");
       $fp=`ls $regex`;
       chomp($fp);
       if ( ! -f ${fp} ) {
         print("This path is not a file: $fp\n");
         print("Name: $rec->{name} Type: $typ");
         print("Patt: $pat Path: $pah\n\n");
         #exit -1;
       }
       $cmd="ls ${fp}";
       $out=`$cmd\n`;
    }
    chomp($out);
    if ( $out ne "" ) { 
       @tmp1=split('\n',$out);
       push(@filelist,@tmp1);
    }
  }
}


if ( ! -d $INST_TOP ) {
  print("Cannot find INST_TOP: $INST_TOP\n"); 
  exit -1
}

get_applist;

sub chk4errs {
  my $filen=$_[0];
  my $FD;
  my $found;

  print("\n#### $filen ####\n");
  open($FD,"<", "$filen") or die("Can't open $filen\n");
  while ( <$FD> ) {
    $found="false";


    next if ( /Change reason      :/ );
    next if ( /ld: 0711-773 WARNING/ );
    next if ( /ld: 0711-224 WARNING/ );
    next if ( /0 ERRORCODE_END/ ) ;
    next if ( /echo ERRORCODE/ ) ;
    next if ( /Unique constraint error .* is OK if key already exists/ ) ;

    $found="warning"   if ( /\swarning/i ) ;
    $found="error"     if ( /\serror/i ) ;
    $found="servere"   if ( /\ssevere/i ) ;
    $found="fail"      if ( /\sfail/i ) ;
    $found="fatal"     if ( /\sfatal/i ) ;
    $found="notfound"  if ( /\snot found/i ) ;

    print if ( $found ne "false"); 
  }
  close($FD);
}

foreach my $fil ( @filelist ) { 
  if ( $dbg eq "true" ) { print("$fil FILE\n"); }
  chk4errs $fil; 
}
