#!/bin/ksh

export HOSTN=`hostname`
export SID="VIS";
export APPBASE="/d01/oracle/${SID}";
export CONTEXT="${SID}_${HOSTN}";
export ENVF="$APPBASE/apps/apps_st/appl/APPS${CONTEXT}.env"

if [ "X$APPL_TOP" == "X" ] ; then
  echo "Sourcing $ENVF ..."
  . $ENVF 
fi


HERE=`pwd`
fn=`basename $0`
OUTF=${THISHOME?}/logs/${fn}.out
RFILE="adstrtal"
line=`basename $0`;

CMD="${RFILE}.sh apps/apps"

function prt_procs
{
  CNT=`ps -aef | fgrep oracle | wc -l`
  echo "\nPRINTING PROCESSES  ..."           >> $OUTF
  ps -aef | fgrep oracle                      >> $OUTF
  echo "\n"                                  >> $OUTF
  echo "Current process count: $CNT"         >> $OUTF
  echo "\n"                                  >> $OUTF
}

#######################################
# Main
#######################################

now=`date`
echo "Entering $0 : $now ..."

echo rm -f $OUTF
     rm -f $OUTF

echo "\n"                                    
echo "###########  STARTING $CMD ##########" 
echo "\n"                                    

################
# run the comand
#
#---------------------------
echo COMMAND: $CMD 
${ADMIN_SCRIPTS_HOME}/$CMD <<EOF                  >> $OUTF 2>&1
welcome1
EOF

# ok done lets save procs and output files...
#
echo "\n"                                    
echo "########### Output:  $OUTF ##########"
echo "########### COMPLETED $CMD ##########" 
echo "\n"                                    

perl ${THISHOME}/bin/psoracle.pl -app -other -u oracle

PSALL="perl ${THISHOME}/bin/psoracle.pl -app -other -u oracle"
while [ "X$ISUP" == "X" ] 
do
  CNT=`eval $PSALL | fgrep APPS | fgrep Total | awk '{print $3}`
  if (( CNT > 32 )) ; then
    ISUP="true"
  fi
  echo "Waiting for processes to come up. Currently: $CNT"
  sleep 5
done

now=`date`
echo "Exiting  $0 : $now ..."
