#!/bin/ksh

export HOSTN=`hostname`
export SID="VIS";
export APPBASE="/d01/oracle/${SID}";
export CONTEXT="${SID}_${HOSTN}";

export ENVF="$APPBASE/apps/apps_st/appl/APPS${CONTEXT}.env"
if [ "X$APPL_TOP" == "X" ] ; then
  echo "Sourcing $ENVF ..."
  . $ENVF 
fi


HERE=`pwd`
fn=`basename $0`
OUTF=${THISHOME?}/logs/${fn}.out
RFILE="adadminsrvctl"
line=`basename $0`;

CMD="adadminsrvctl.sh start"


#######################################
# Main
#######################################

now=`date`
echo "Entering $0 : $now ..."

echo rm -f $OUTF
     rm -f $OUTF

echo "\n"                                    
echo "###########  Running $CMD ##########" 
echo "\n"                                    

################
# run the comand
#
#---------------------------
ps -aef | fgrep $LOGNAME | fgrep -v fgrep | fgrep 'weblogic.Name=AdminServer' > /dev/null
if [ $? != 0 ] ; then
  echo COMMAND: $CMD 
  ${ADMIN_SCRIPTS_HOME}/$CMD   <<EOF                >> $OUTF 2>&1
welcome1
apps
EOF
  ret=$?
  if [ $ret != 0 ] ; then 
    echo "Error occcured: check the out file: $OUTF"
    exit $ret
  fi
fi

  # There are 4 processes brought up by startwls: They are:
  #   adRegisterWLSListeners.pl
  #   weblogic.NodeManager
  #   adRegisterWLSListeners.log
  #   weblogic.Server

function is_up_when
{
  integer SLEEP=10
  integer STOPVAL=6
  integer cnt=0
  integer foundall=0;

  while ( true )
  do
    foundall=0
    for i in adRegisterWLSListeners.pl weblogic.NodeManager weblogic.Server
    do
      ps -aef | fgrep $LOGNAME | fgrep -v fgrep | fgrep $i > /dev/null
      if [ $? == 0 ] ; then
        (( foundall=foundall+1))
      else
        echo "Waiting for $i ..."
      fi
    done
    if [ $foundall == 3 ] ; then
      exit 0
    fi
    sleep $SLEEP
    ((cnt=cnt+1))
    if (( cnt > STOPVAL )) ; then
      exit 8
    fi
  done
}
is_up_when

echo "\n"                                    
echo "########### Output:  $OUTF ##########" 
echo "########### COMPLETED $CMD ##########" 
echo "\n"                                    

now=`date`
echo "Exiting  $0 : $now ..."
