#!/bin/ksh

export HOSTN=`hostname`
export SID="VIS";
export APPBASE="/d01/oracle/${SID}";
export CONTEXT="${SID}_${HOSTN}";

export ENVF="$APPBASE/apps/apps_st/appl/APPS${CONTEXT}.env"
if [ "X$APPL_TOP" == "X" ] ; then
  echo "Sourcing $ENVF ..."
  . $ENVF 
fi


HERE=`pwd`
fn=`basename $0`
OUTF=${THISHOME?}/logs/${fn}.out
RFILE="adstpall"
line=`basename $0`;

CMD="${RFILE}.sh apps/apps"

#######################################
# Main
#######################################

now=`date`
echo "Entering $0 : $now ..."

echo rm -f $OUTF
     rm -f $OUTF

echo "\n"                                    
echo "###########  STOPPING $CMD ##########" 
echo "\n"                                    

################
# run the comand
#
#---------------------------
echo COMMAND: $CMD 
${ADMIN_SCRIPTS_HOME}/$CMD   <<EOF                >> $OUTF 2>&1
welcome1
EOF

# ok done lets save procs and output files...
#
echo "\n"                                    
echo "########### Output:  $OUTF ##########"
echo "########### COMPLETED $CMD ##########" 
echo "\n"                                    

perl ${THISHOME}/bin/psoracle.pl -app -other -u oracle

PSALL="perl ${THISHOME}/bin/psoracle.pl -app -other -u oracle"
while [ "X$ISDOWN" == "X" ] 
do
  CNT=`eval $PSALL | fgrep APPS | fgrep Total | awk '{print $3}`
  if (( CNT < 4 )) ; then
    ISDOWN="true"
  fi
  echo "Waiting for processes to come down. Currently: $CNT"
  sleep 5
done

ISDOWN=""
while [ "X$ISDOWN" == "X" ] 
do
  fgrep "All enabled services on this node are stopped"  $OUTF > /dev/null 2>&1
  if [ $? == 0 ] ; then
    ISDOWN="true"
  fi
  echo "Waiting for services to to report completed."
  sleep 5
done

numcnts=1

ISDOWN=""
PSALL="perl ${THISHOME}/bin/psoracle.pl -app -u oracle"
while [ "X$ISDOWN" == "X" ] 
do
  CNT=`eval $PSALL | fgrep APPS | fgrep Total | awk '{print $3}`
  if (( CNT < 1 )) ; then
    ISDOWN="true"
  fi
  echo "Waiting for processes to come down. Currently: $CNT"
  sleep 5
  ((numcnts=numcnts+1 ))
  if (( numcnts > 20 )) ; then
    ISDOWN="true"
    echo "KILLING java PROCS..."
    echo "ps -aef | fgrep  oracle | fgrep java | fgrep -v java | awk '{print $2}' | xargs kill"
          ps -aef | fgrep  oracle | fgrep java | fgrep -v java | awk '{print $2}' | xargs kill
  fi
done



echo "CHECK outputfile for errors: $OUTF"
now=`date`
echo "Exiting  $0 : $now ..."
