#!/bin/ksh

export HOSTN=`hostname`
export SID="VIS";
export APPBASE="/d01/oracle/${SID}";
export CONTEXT="${SID}_${HOSTN}";

export ENVF="$APPBASE/apps/apps_st/appl/APPS${CONTEXT}.env"
if [ "X$APPL_TOP" == "X" ] ; then
  echo "Sourcing $ENVF ..."
  . $ENVF 
fi


HERE=`pwd`
fn=`basename $0`
OUTF=${THISHOME?}/logs/${fn}.out
RFILE="adadminsrvctl"
line=`basename $0`;

CMD="${RFILE}.sh stop"


#######################################
# Main
#######################################

now=`date`
echo "Entering $0 : $now ..."

echo rm -f $OUTF
     rm -f $OUTF

echo "\n"                                    
echo "###########  Running $CMD ##########" 
echo "\n"                                    

################
# run the comand
#
#---------------------------
ps -aef | fgrep $LOGNAME | fgrep -v fgrep | fgrep 'weblogic.Name=AdminServer' > /dev/null
if [ $? == 0 ] ; then
  echo COMMAND: $CMD 
  ${ADMIN_SCRIPTS_HOME}/$CMD   <<EOF                >> $OUTF 2>&1
welcome1
apps
EOF
  ret=$?
  if [ $ret != 0 ] ; then 
    echo "Error occcured: check the output file: $OUTF"
    exit $ret
  fi
fi

CMD="adnodemgrctl.sh stop"
ps -aef | fgrep $LOGNAME | fgrep -v fgrep | fgrep 'StartScriptName=startWebLogic.sh' > /dev/null
if [ $? == 0 ] ; then
  # adaminsrvctl doesn't shut down the node manager.
  # So we will
  echo COMMAND: $CMD 
  ${ADMIN_SCRIPTS_HOME}/$CMD   <<EOF                >> $OUTF 2>&1
welcome1
EOF
  ret=$?
  if [ $ret != 0 ] ; then 
    echo "Error occcured: check the output file: $OUTF"
  fi
  # theres some very slow processes that come up. we have to wait.
  sleep 10
fi

# ok done lets save procs and output files...
#
echo "\n"                                    
echo "########### Output:  $OUTF ##########"
echo "########### COMPLETED $CMD ##########" 
echo "\n"                                    

now=`date`
echo "Exiting  $0 : $now ..."
