-- liste the space usage and the tablespaces within the database.
--
select	a.TABLESPACE_NAME,
	TO_CHAR(a.KBYTES, '999,999') "USED(MB)",
	TO_CHAR(b.KBYTES, '999,999') "FREE(MB)",
	TO_CHAR(b.largest,'99,999,999') "LARGEST(MB)",
	round(((a.KBYTES-b.KBYTES)/a.KBYTES)*100,2) "%_used"
from 	
	(
		select 	TABLESPACE_NAME,
			sum(BYTES)/(1024*1024) KBYTES 
		from 	dba_data_files 
		group 	by TABLESPACE_NAME
	)
	a,
	(
		select 	TABLESPACE_NAME,
			sum(BYTES)/(1024*1024) KBYTES ,
			max(BYTES)/(1024*1024) largest
		from 	dba_free_space 
		group 	by TABLESPACE_NAME
	)
	b
where 	a.TABLESPACE_NAME=b.TABLESPACE_NAME
order 	by ((a.KBYTES-b.KBYTES)/a.KBYTES) desc ;

quit
