#!/bin/ksh

###################################################################
#
#   (C) Copyright IBM Corp. 2003 All rights reserved.
#
# This is an IBM Internal Tool developed to aid in managing
# and examining Siebel Applications.  There is no official IBM
# support.  Use at your own risk. Developed for Siebel 7.7 and v8.0
#
###################################################################

export _IBM_DBMSNAME=${_IBM_DBMSNAME?}

# check to see if the dbms is running otherwise abort.
#
db2 list applications > /dev/null
if [ $? = 4 ] ; then
  echo "The database is NOT running. Aborting $0  ..."
  exit -1
fi

# Jubal: added tacking on the date
timenow=`date +%m%d%H%M`
# fn (filename) replaces $1 where appropriate.
fn="db2cfg.$timenow.cfg"

echo "\n\n\tSaving the configuration data in current directory"
echo "\t\tUnder filename: $fn"
echo "\n\n"
rm -f $fn

echo "" >> $fn
echo "============== db2 GET DB CFG FOR ${_IBM_DBMSNAME?} =============" >> $fn
echo "" >> $fn
db2 GET DB CFG FOR ${_IBM_DBMSNAME} >> $fn
echo "" >> $fn
echo "============== db2 GET DBM CFG =============" >> $fn
echo "" >> $fn
db2 GET DBM CFG >> $fn
echo "============== db2set -g =============" >> $fn
echo "" >> $fn
db2set -g >> $fn
echo "" >> $fn
echo "============== db2set =============" >> $fn
echo "" >> $fn
db2set  >> $fn



echo "" >> $fn
echo "============== BUFFERPOOLS =============" >> $fn
echo "" >> $fn
db2 connect to $_IBM_DBMSNAME >> $fn
db2 "select * from syscat.bufferpools" >> $fn
db2 connect reset >> $fn


echo "" >> $fn
echo "============== TABLESPACES =============" >> $fn
echo "" >> $fn
echo db2 list tablespaces show detail >> $fn
db2 "connect to ${_IBM_DBMSNAME}" >> $fn
db2 "list tablespaces show detail" >> $fn
db2 "connect reset" >> $fn
echo "" >> $fn

MAXCONT=`db2 "connect to ${_IBM_DBMSNAME}" >/dev/null; db2 "list tablespaces" | awk '/Tablespace ID/{ maxtb=$4} END{print maxtb}' ; db2 "connect reset" >/dev/null` 


echo "" >> $fn
echo "============== TABLESPACES CONTAINERS =============" >> $fn
echo "" >> $fn
echo $MAXCONT >> $fn
integer i=1;
db2 connect to ${_IBM_DBMSNAME}  >> $fn
while (( i <= MAXCONT ))
do
 db2 "LIST TABLESPACE CONTAINERS FOR $i SHOW DETAIL" >> $fn
((i=i+1))
done
db2 connect reset >> $fn


echo "" >> $fn
echo "=====================================================" >> $fn

