#!/usr/bin/perl


###################################################################
#
#   (C) Copyright IBM Corp. 2003 All rights reserved.
#
# This is an IBM Internal Tool developed to aid in managing
# and examining Siebel Applications.  There is no official IBM
# support.  Use at your own risk. Developed for Siebel 7.7 and v8.0
#
###################################################################

use Getopt::Long;
use    Pod::Usage;

$VER = 'V1.00';
######################################################
# HISTORY
# Vers:   Date:     Description
# v1.00	  6/15/04   Wrote the beast
######################################################



#------------------------------------------------------
# Converts something in this form:   092F5C40
#                    to this form: 9.47.92.64
#------------------------------------------------------
sub hextoip
{
   #$tmpfoo = hextoip "092F5C40";
   #printf "%s\n", $tmpfoo;

   my($hexnum) = @_;
   my($a,$b,$c,$d) ;
   ($a,$b,$c,$d) = unpack("A2 A2 A2 A2", $hexnum);
   $a=hex($a); $b=hex($b); $c=hex($c); $d=hex($d);
   return "$a.$b.$c.$d";
}


#------------------------------------------------------
# Get the OPTIONS
#------------------------------------------------------
sub do_opts {
  my $man = 0, $help = 0;

  use Getopt::Long;
  $retval=GetOptions( 
            "f=s"      =>\$lafile,
            "dbg"      =>\$dbg,
            "version"  =>\$version,
            'help|?'   =>\$help,
            man        =>\$man
            ) ;

  # handles unknown options. (ARGV isnt empty!)
  if ( $ARGV[0] ) {
    print "Unprocessed by Getopt::Long\n";
    foreach (@ARGV) { print "$_\n"; }
    pod2usage(-message => "Unprocessed by Getopt::Long",
              -exitval => 2, -verbose => 0, -output  => \*STDERR);
  }

    ## Parse options and print usage if there is a syntax error,
    ## or if usage was explicitly requested.
  pod2usage(1)             if $help;
  pod2usage(-verbose => 2) if $man;

  # ## If no arguments were given, then allow STDIN to be used only
  # ## if it's not connected to a terminal (otherwise print usage)
  #   pod2usage("$0: No files given.")  if ((@ARGV == 0) && (-t STDIN));

  return $retval;
}
&do_opts or pod2usage(1) or die "do_opts failed\n" ;


#------------------------------------------------------
#------------------------------------------------------
#-- OK DONE WITH SUBS. MAIN CODE
#------------------------------------------------------
#------------------------------------------------------

# FORMATS for printf statements
$hfmt="%-6s %-8s %-10s %-15s %-18s %-15s\n";
$ofmt="%-6ld %-8ld %-10s %-15s %-18s %-15s\n";




if (defined($lafile)) {
  $db2cmd ="$lafile";
} else {
  $db2cmd ="db2 list applications show detail |";
}
$firstline="true";
open (DBF, $db2cmd)  or die "Cant run $db2cmd\n" ;
# MAIN LOOP
V95INST1                                                                                                                         db2taskd             32         *LOCAL.DB2.100922034057                                        00001 1          0                5686            Connect Completed              Not Collected              SIEB805  /home/v95inst1/sieb805/v95inst1/NODE0000/SQL00001/

while ( <DBF> ) {
  if (defined($firstline)) {
    if ( /SQL1032N/ ) { die ("DBMS isnt running\n");}
    # HEADER OF PRINT STATEMENTS
    printf $hfmt, "\nAPPHDL","PID","USER","APPNAME","STATUS","IPADDR";
    printf $hfmt, "======","========","==========","===============",
                  "==================","===============";
    undef($firstline);
  }

  next if ( /SQL1611W/ );
  next if ( /Coordinator/ );
  next if ( /partition number/ );
  next if ( /-----------/ );
  next if ( /^$/          );
  
  #A30    A20       A10     A30    A4    A10
  ($authid,$appname,$apphdl,$appid,$seqn,$nagnts,
      #A16     A15  A30     A26          A8     A33
       $partid,$pid,$status,$statchgtime,$dbnam,$dbpath,$rest) = 
    unpack("A31 A21 A11 A31 A5 A11 A17 A16 A31 A27 A9 A33",$_);

  if ($appid =~ /LOCAL/ ) { 
      $shortname = 'LOCAL'; 
  } else {
      ($f1,$f2,$f3) = split(/\./,$appid);
      $f1 =~s/G/0/g;
      $shortname = hextoip $f1;
  }
  
  printf $ofmt, $apphdl, $pid, $authid, $appname, $status,$shortname;
}
close(DBF);

print "\n";
