#!/bin/ksh

###################################################################
#
#   (C) Copyright IBM Corp. 2003 All rights reserved.
#
# This is an IBM Internal Tool developed to aid in managing
# and examining Siebel Applications.  There is no official IBM
# support.  Use at your own risk. Developed for Siebel 7.7 and v8.0
#
###################################################################

export _IBM_DBMSNAME=${_IBM_DBMSNAME?}

db2 list applications > /dev/null
if [[ $? -lt 4 ]] ; then
  echo "The database is already running. Exiting..."
  exit -1
fi

#save the current log file using a timestamp.
echo "\tMoving the db2diag.log ..."

#echo moving db2diag.log ...
( cd ${_IBM_DBMSPATH?}/sqllib/db2dump; mv db2diag.log db2diag.log.`date +%m%d%H%M` )



echo "\tStarting the ${_IBM_DBMSNAME?} database ..."
db2start

#if [[ $? -le 2 ]] ; then
#  :
  #$HOME/bin/db2_config.sh # 0 indicates it changed config parms
  #if [ $? = 0 ] ; then
  #  echo "Bouncing the database ..."
  #  db2stop
  #  sleep 5
  #  db2start
  #fi
#fi

echo "\tReturn status is $?"

echo "\tRebinding the packages..."

db2rbind ${_IBM_DBMSNAME?} -l $HOME/.rbind.out all

db2 activate database ${_IBM_DBMSNAME?}

# make sure dock txn logging is off.
#db2 connect to ${_IBM_DBMSNAME?} user siebel using siebel
#db2 "select SYS_PREF_CD,VAL from SIEBEL.S_SYS_PREF where SYS_PREF_CD like 'Docking:Transaction Logging'"
#db2 "UPDATE SIEBEL.S_SYS_PREF set VAL='FALSE' where SYS_PREF_CD like 'Docking:Transaction Logging'"
#db2 "select SYS_PREF_CD, VAL from SIEBEL.S_SYS_PREF where SYS_PREF_CD like 'Docking:Transaction Logging'"
#db2 connect reset
#
