
# Get the the snapshot values form the dbms
echo "\n      Searching for full snapshot range in the database..."
vals=`echo quit | sqlplus -s "/ as sysdba" @${_IBM_TOOLSDIR?}/oracle/get_snap_intls`
echo $vals

minsid=`echo $vals | awk '{print $1}'`
maxsid=`echo $vals | awk '{print $2}'`

if [ "X$minsid" == "X" ] ; then
  echo "\n\tNo Snapshots found\n"
  echo "\n\n\tTaking one ..."
  echo ""
  sqlplus '/ as sysdba' @/home/oracle/.ibmtools/oracle/cr8snapshot.sql
  exit
fi


sqlplus -S "/ as sysdba" <<EOF

clear break compute;
repfooter off;
ttitle off;
btitle off;

set heading on;
set timing off veri off space 1 flush on pause off termout on numwidth 10;
set echo off feedback off pagesize 60 linesize 80 newpage 1 recsep off;
set trimspool on trimout on define "&" concat "." serveroutput on;
set underline on;


set serveroutput on format wrapped;
declare
a_comment VARCHAR2(200) :='      Deleting snapshots with range: $minsid to $maxsid';
begin
    DBMS_OUTPUT.put_line('');
    DBMS_OUTPUT.put_line(a_comment);
end;
/

exec dbms_workload_repository.drop_snapshot_range (low_snap_id => $minsid, high_snap_id => $maxsid); 



set serveroutput on format wrapped;
declare
a_comment VARCHAR2(200) :='      Now creating a new snapshot now...';
begin
    DBMS_OUTPUT.put_line('');
    DBMS_OUTPUT.put_line(a_comment);
    DBMS_OUTPUT.put_line('');
end;

/


exec dbms_workload_repository.create_snapshot;

quit;
EOF

