REM * Set terminal output and command echoing on; log output of this script.
REM *
set termout on
set echo on
spool crdbPF2

REM * The database should already be started up at this point with:

connect internal
set echo off

REM * Creates data dictionary views.
@$ORACLE_HOME/rdbms/admin/catalog.sql

REM * Scripts for procedural option
@$ORACLE_HOME/rdbms/admin/catproc.sql

REM * If you are using Oracle 7.2, unremark the following:
REM * Grant public access to all views used by the char-mode SQLDBA 
REM * @$ORACLE_HOME/rdbms/admin/utlmontr.sql

REM - Load PL/SQL database utilities
@$ORACLE_HOME/rdbms/admin/dbmsutil.sql 

REM - Load Explain plan tables
@$ORACLE_HOME/rdbms/admin/utlxplan.sql 

REM - Build Sizing views
@$ORACLE_HOME/rdbms/admin/apsprep 

REM * Create additional rollback segment in SYSTEM before creating tablespace.
REM *
create rollback segment r00 tablespace system
storage (initial 16k next 16k minextents 2 maxextents 20);

REM * Use ALTER ROLLBACK SEGMENT ONLINE to put r00 online without shutting
REM * down and restarting the database.
REM *
alter rollback segment r00 online;
alter system checkpoint local;

REM - This step is done in psadmin.sql
REM connect system/manager
REM @$ORACLE_HOME/sqlplus/admin/pupbld.sql 

REM - End of catalog builds

